import {
	WeaTools
} from 'ecCom'

export const getRight = (params) => {
	return WeaTools.callApi('/api/hrm/signature/getHasRight', 'GET', params);
}

export const getTableInfo = (params) => {
	return WeaTools.callApi('/api/hrm/signature/getSearchList', 'GET', params);
}

export const getSearchCondition = (params) => {
	return WeaTools.callApi('/api/hrm/signature/getSearchCondition', 'GET', params);
}

export const getEditorForm = (params) => {
	return WeaTools.callApi('/api/hrm/signature/getSignatureForm', 'GET', params);
}

export const deleteTableRows = (params) => {
	return WeaTools.callApi('/api/hrm/signature/delete', 'POST', params);
}

export const add = (params) => {
	return WeaTools.callApi('/api/hrm/signature/add', 'POST', params);
}

export const edit = (params) => {
	return WeaTools.callApi('/api/hrm/signature/edit', 'POST', params);
}